| schema  | tname   | cname          | opos | func         | fkey         | fcol           | dtype   | appcol       | pretty | 
| ------- | ------- | -------------- | ---- | ------------ | ------------ | -------------- | ------- | ------------ | ------ | 
| fc      | live    | fb_cst_loc     | 91   | cost         |              | fb_cst_loc     | numeric |              |        | 
| fc      | live    | ship_cust      | 36   | scust        | scust        | ship_cust      | text    |              |        | 
| fc      | live    | rdate          | 98   | rdate        | rdate        | drange         | date    |              |        | 
| fc      | live    | geo            | 42   | scust        |              | geo            | text    | customer     |        | 
| fc      | live    | part           | 54   | item         | item         | part           | text    | item         |        | 
| fc      | live    | odate          | 96   | odate        | odate        | drange         | date    | order_date   |        | 
| fc      | live    | sdate          | 100  | sdate        | sdate        | sdate          | date    | ship_date    |        | 
| fc      | live    | oseas          | 97   | odate        |              | ssyr           | integer |              |        | 
| fc      | live    | calc_status    | 94   | order_status | order_status | calc_status    | text    | order_status |        | 
| fc      | live    | rseas          | 99   | rdate        |              | ssyr           | integer |              |        | 
| fc      | live    | sseas          | 101  | sdate        |              | ssyr           | integer |              |        | 
|         |         |                |      |              |              |                |         | version      |        | 
|         |         |                |      |              |              |                |         | iter         |        | 
|         |         |                |      |              |              |                |         | logid        |        | 

* func: table name of associated data
* fkey: primary key of assoicated dat
* fcol: associated field from the master data table if it is different (oseas would refer to ssyr in fc.perd)
* pretty: display column name (user friendly)
* appcol: parameters that will have to be supplied but the application
    * order_date
    * ship_date
    * customer
    * item
    * order_stats
    * units
    * cost
    * value
    * version (added if missing)
    * iter    (added if missing)
    * logid   (added if missing)
* dateref:
